Skip to main content

Retrieve a roadmap project

Retrieve a roadmap project

Path Parameters
id string REQUIRED

Unique identifier (id or clientId)

Query Parameters
select string

Comma-separated list of additional relations to include in response. Available: 'fields', 'discoveries', 'votes'

Responses
200

Retrieve a single roadmap project by id

Schema OPTIONAL
roadmapProject object

The roadmap project data

id string

Unique identifier of the roadmap project

clientId string

Client identifier

createdAt date-time

Creation date

updatedAt date-time

Last update date

title string

Title of the project

caption string OPTIONAL

Caption / subtitle

publicDescription string OPTIONAL

Public description

privateDescription string OPTIONAL

Private description

coverImage string OPTIONAL

Cover image URL

coverImageThumbnail string OPTIONAL

Cover image thumbnail URL

roadmapStartDate date-time OPTIONAL

Roadmap start date (ISO-8601)

roadmapEndDate date-time OPTIONAL

Roadmap end date (ISO-8601)

progress object

Progress calculated from linked discoveries

started number

Ratio of started discoveries (excl. CLOSED)

finished number

Ratio of finished discoveries (excl. CLOSED)

assignees object[]

Assignees of the project

id string

Unique identifier of the assignee

email string OPTIONAL

Email of the assignee

name string

Name of the assignee

fields object[] OPTIONAL

Custom field values. Only included when select=fields is specified.

field object

The custom field definition

id string

Field ID

clientId string

Field client ID

name string

Field name

type string

Possible values: [SINGLE_SELECT, MULTI_SELECT, DATE_ABSOLUTE]

Field type

singleValue object OPTIONAL

Selected option (SINGLE_SELECT fields)

id string

Option ID

clientId string

Option client ID

name string

Option name

multiValues object[] OPTIONAL

Selected options (MULTI_SELECT fields)

id string

Option ID

clientId string

Option client ID

name string

Option name

dateValue date-time OPTIONAL

Selected date (DATE_ABSOLUTE fields)

linkedDiscoveries object[] OPTIONAL

Linked discoveries. Only included when select=discoveries is specified.

id string

Discovery ID

clientId string

Discovery client ID

title string

Discovery title

discoveryStateId string OPTIONAL

Current discovery state ID

votes object[] OPTIONAL

Votes. Only included when select=votes is specified.

id string

Vote ID

value string

Possible values: [BAD, NULL, GOOD]

Vote value

personId string OPTIONAL

Person ID of the voter

email string OPTIONAL

Email of the voter

createdAt date-time

Date of the vote